#pragma once

#include "UI/base/GuiWindow.h"
#include "Types.hpp"

namespace TSE::EDITOR
{
    class DebugView : public GuiWindow
    {
        private:
        string debugFps = "0 FPS";
        float lasttime = 0;
        int frameCount = 0;

        public:

        DebugView();
        
        ~DebugView() = default;
        
        void Define() override;
    };
} // namespace TSE::EDITOR
